Retrieve fees
curl --request GET \
--url https://sandbox-rampa.mesadepagos.com/api/v2/fees \
--header 'Authorization: Bearer <token>'import requests
url = "https://sandbox-rampa.mesadepagos.com/api/v2/fees"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://sandbox-rampa.mesadepagos.com/api/v2/fees', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
[
{
"pair": "USDC/BOB",
"transactionType": "withdrawal_express",
"amount": 0.5,
"feeType": "PERCENTAGE",
"status": "CURRENT",
"createdBy": "Partner User",
"validUntil": "2026-05-12T12:00:00.000Z",
"supersededBy": {
"amount": 0.5,
"feeType": "PERCENTAGE",
"createdBy": "Partner User"
},
"predecessor": {
"amount": 0.5,
"feeType": "PERCENTAGE",
"createdBy": "Partner User"
}
}
]{
"statusCode": 400,
"message": "Validation failed",
"error": "Bad Request"
}{
"statusCode": 401,
"message": "Unauthorized"
}Fees
Retrieve fees
Returns the fees configured for the authenticated business, optionally filtered by fee type, pair, and transaction type.
GET
/
v2
/
fees
Retrieve fees
Authorizations
JWT obtained from /v2/auth/login
Query Parameters
Fee type.
Available options:
FIXED, PERCENTAGE Currency pair.
Available options:
USDC/BOB, BOB/USDC, USDT/BOB, BOB/USDT, USDT/PEN, USDT/BRL, USDT/CLP, USDT/COP, USDC/PEN, USDC/BRL, USDC/CLP, USDC/COP, USDT/USD, USDC/USD, USDT/EUR, USDC/EUR, EURC/EUR Transaction type.
Available options:
deposit_express, deposit_cash, withdrawal_express, withdrawal_ach, withdrawal_pix, deposit_crypto, withdrawal_crypto, prefunding, deposit_card, withdrawal_ach_us, withdrawal_wire, withdrawal_swift, withdrawal_sepa Fee validity status.
Available options:
CURRENT, OLD Response
Configured fees.
Currency pair configured for the fee.
Available options:
USDC/BOB, BOB/USDC, USDT/BOB, BOB/USDT, USDT/PEN, USDT/BRL, USDT/CLP, USDT/COP, USDC/PEN, USDC/BRL, USDC/CLP, USDC/COP, USDT/USD, USDC/USD, USDT/EUR, USDC/EUR, EURC/EUR Example:
"USDC/BOB"
Transaction type to which the fee applies.
Available options:
deposit_express, deposit_cash, withdrawal_express, withdrawal_ach, withdrawal_pix, deposit_crypto, withdrawal_crypto, prefunding, deposit_card, withdrawal_ach_us, withdrawal_wire, withdrawal_swift, withdrawal_sepa Example:
"withdrawal_express"
Fee amount.
Example:
0.5
Configured fee type.
Available options:
FIXED, PERCENTAGE Example:
"PERCENTAGE"
Fee validity status.
Available options:
CURRENT, OLD Example:
"CURRENT"
User who created the fee.
Example:
"Partner User"
Date until which the fee was valid, if it has been replaced.
Example:
"2026-05-12T12:00:00.000Z"
Fee that replaced this record, if present.
Show child attributes
Show child attributes
Previous fee replaced by this record, if present.
Show child attributes
Show child attributes